[Swift-commit] r2736 - in trunk/tests: language-behaviour sites

noreply at svn.ci.uchicago.edu noreply at svn.ci.uchicago.edu
Mon Mar 23 12:38:05 CDT 2009


Author: benc
Date: 2009-03-23 12:38:05 -0500 (Mon, 23 Mar 2009)
New Revision: 2736

Modified:
   trunk/tests/language-behaviour/run
   trunk/tests/sites/run-site
Log:
Check that no stack traces appear in language-behaviour test logs, but disable
this check in site tests (although those should perhaps also be constrained
to not give exceptions?)

Modified: trunk/tests/language-behaviour/run
===================================================================
--- trunk/tests/language-behaviour/run	2009-03-23 17:36:37 UTC (rev 2735)
+++ trunk/tests/language-behaviour/run	2009-03-23 17:38:05 UTC (rev 2736)
@@ -77,6 +77,16 @@
       echo "No expected output files specified for this test case - not checking output."
     fi
 
+    if [ "$SWIFT_TEST_EXCEPTIONS" == "no" ]; then
+      echo Skipping exception test due to test configuration
+    else
+      grep --quiet "	at " ${t}-*.log
+      if [ "$?" == "0" ]; then
+        echo EXCEPTIONS - stacktrace-like log lines found in output for ${t}
+        exit 2
+      fi
+    fi
+
   done
   echo "Test passed"
   if [ "$SUB" == "" ]; then

Modified: trunk/tests/sites/run-site
===================================================================
--- trunk/tests/sites/run-site	2009-03-23 17:36:37 UTC (rev 2735)
+++ trunk/tests/sites/run-site	2009-03-23 17:38:05 UTC (rev 2736)
@@ -11,6 +11,8 @@
 echo testing site configuration: $SITE
 
 export SWIFT_TEST_PARAMS="-sites.file ../sites/${SITE} -tc.file tmp.tc.data.sites"
+export SWIFT_TEST_EXCEPTIONS=no
 
+
 ./run 061-cattwo 130-fmri 103-quote.swift 1032-singlequote.swift 1031-quote.swift 1033-singlequote.swift 141-space-in-filename 142-space-and-quotes
 #./run 061-cattwo




More information about the Swift-commit mailing list